## org.springframework.web
Class HttpSessionRequiredException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.servlet.ServletException
                  org.springframework.web.HttpSessionRequiredException

All Implemented Interfaces:
  Serializable

    public class HttpSessionRequiredException

extends ServletException

Exception thrown when an HTTP request handler requires a pre-existing session.

Since:
  2.0
Author:
  Juergen Hoeller
See Also:
  Serialized Form

Constructor Summary
`HttpSessionRequiredException(String msg)` Create a new HttpSessionRequiredException.

Method Summary

Methods inherited from class javax.servlet.ServletException
`getRootCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HttpSessionRequiredException

    public HttpSessionRequiredException(String msg)

  Create a new HttpSessionRequiredException.

  Parameters:
    `msg` - the detail message